> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Export recognized revenue summary

> Queue an XLSX or CSV summary of recognized revenue for a month range.



## OpenAPI

````yaml post /v1/accounting/revrec/recognized-summary/export
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/accounting/revrec/recognized-summary/export:
    post:
      tags:
        - Accounting > Revenue recognition
      summary: Export recognized revenue summary
      description: Queue an XLSX or CSV summary of recognized revenue for a month range.
      operationId: createRevRecRecognizedSummaryExport
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                ledger_id:
                  type: string
                  description: Ledger identifier.
                month_from:
                  type: string
                  pattern: ^\d{4}-(0[1-9]|1[0-2])$
                  description: First recognition month included, formatted YYYY-MM.
                month_to:
                  type: string
                  pattern: ^\d{4}-(0[1-9]|1[0-2])$
                  description: Last recognition month included, formatted YYYY-MM.
                file_type:
                  type: string
                  enum:
                    - xlsx
                    - csv
                  description: Export file type; defaults to xlsx.
              required:
                - ledger_id
                - month_from
                - month_to
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountingExport'
      security:
        - bearer: []
components:
  schemas:
    AccountingExport:
      type: object
      properties:
        id:
          type: string
          description: Unique export identifier.
        name:
          type: string
          enum:
            - revenue_recognition_waterfall
            - revenue_recognition_summary
            - income_statement
            - general_ledger
          description: Accounting export template.
        status:
          type: string
          enum:
            - pending
            - processing
            - done
            - error
          description: Current export processing status.
        file_type:
          type: string
          enum:
            - csv
            - xlsx
            - json
            - zip
            - pdf
            - doc
            - docx
            - xls
            - txt
            - jpeg
            - jpg
            - png
          description: Generated file type.
        created_at:
          type:
            - string
            - 'null'
          format: date
          description: Time at which the export was requested.
        updated_at:
          type:
            - string
            - 'null'
          format: date
          description: Time at which the export was last updated.
      required:
        - id
        - name
        - status
        - file_type
        - created_at
        - updated_at
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````